Get User Information
This API lets you fetch a user’s information by user ID, phone number, or email address. You cannot search using phone number if phone number uniqueness is disabled. The option to validate the uniqueness of phone number across guests must be enabled in the Punchh platform. Contact your Punchh representative to update this Punchh platform configuration.
The Punchh platform provides businesses an option to exclude a user’s personal information (e.g., birthday, city, state, email, etc.) from the response. This configuration is available in the Punchh platform. Fields selected from the User PII Fields drop-down list are excluded from the API response. Contact your Punchh representative to update this Punchh platform configuration.
- Type: stringAuthorizationrequired
Bearer token for admin authorization, who is making a call on behalf of the customer. Send the API key in the following format: "Authorization: Bearer BUSINESS_ADMIN_KEY_GOES_HERE".
You must pass one of the following parameters (user_id, phone, or email) in the request.
- Type: stringemail
- Type: stringphone
- Type: stringuser
_id
- application/json
- application/json
- application/json
- application/json
curl https://SERVER_NAME_GOES_HERE.punchh.com/api2/dashboard/users/info \
--header 'Authorization: Bearer BUSINESS_ADMIN_KEY_GOES_HERE' \
--header 'Content-Type: application/json' \
--data '{
"user_id": "111111111",
"email": "test@example.com",
"phone": "1111111111"
}'
{
"anniversary": null,
"avatar_remote_url": null,
"created_at": "2023-04-04T09:05:19Z",
"email_verified": false,
"age_verified": false,
"privacy_policy": true,
"id": 111111111,
"updated_at": "2023-09-12T05:39:28Z",
"test_user": false,
"user_joined_at": "2023-04-04T09:05:19Z",
"balance": {
"banked_rewards": "2.00",
"membership_level": "Bronze",
"membership_level_id": 109,
"net_balance": 2,
"net_debits": 0,
"pending_points": 0,
"points_balance": 0,
"signup_anniversary_day": "04/04",
"total_credits": 15,
"total_debits": "0.0",
"total_point_credits": 15,
"total_redeemable_visits": 1,
"expired_membership_level": "Bronze",
"total_visits": 0,
"initial_visits": 1,
"unredeemed_cards": 0
},
"selected_card_number": null,
"selected_reward_id": null,
"selected_discount_amount": null,
"rewards": [
{
"id": 31300354648,
"created_at": "2023-10-01T18:05:42Z",
"end_date_tz": "2023-10-05T18:29:59Z",
"start_date_tz": "2023-10-01T18:05:42Z",
"updated_at": "2023-10-01T18:05:42Z",
"image": "IMAGE_URL_GOES_HERE",
"status": "unredeemed",
"points": 100,
"discount_amount": 10,
"description": "Free Sandwich with Purchase of Chips and Drink",
"name": "Free Sandwich with Purchase of Chips and Drink",
"redeemable_properties": ""
},
{
"id": 31300354654,
"created_at": "2023-10-01T18:05:42Z",
"end_date_tz": "2023-10-14T18:29:59Z",
"start_date_tz": "2023-10-01T18:05:42Z",
"updated_at": "2023-10-01T18:05:42Z",
"image": "IMAGE_URL_GOES_HERE",
"status": "unredeemed",
"points": 100,
"discount_amount": 10,
"description": "Free Drinks",
"name": "Welcome Series Free Gift",
"redeemable_properties": ""
}
],
"discount_type": null,
"allow_multiple": false,
"apple_pass_url": "APPLE_PASS_URL_GOES_HERE",
"google_pass_url": "GOOGLE_PASS_URL_GOES_HERE",
"authentication_token": "AUTHENTICATION_TOKEN_GOES_HERE",
"favourite_locations": "306082,333070,304374",
"favourite_store_numbers": "12345,0604,1234",
"marketing_email_subscription": true,
"marketing_pn_subscription": true,
"passcode_configured": false,
"profile_field_answers": {
"test1": "Option 1"
},
"referral_code": "REFERRAL_CODE_GOES_HERE",
"referral_path": "URL_GOES_HERE",
"terms_and_conditions": false,
"title": "",
"user_as_barcode": "1111111",
"user_as_qrcode": "QR_CODE_GOES_HERE",
"user_code": "P11111111",
"user_id": 111111111,
"user_relations": [
{
"id": 111111111,
"relation": "spouse",
"name": "FIRST_NAME_GOES_HERE LAST_NAME_GOES_HERE",
"birthday": "1999-01-01",
"created_at": "2023-08-18T12:32:13Z",
"updated_at": "2023-08-18T12:32:13Z"
}
],
"work_zip_code": null,
"preferred_locale": "en",
"force_password_reset": true,
"expiration_date": null,
"sms_subscription": true,
"phone": "1111111111",
"migrate_status": false,
"email_unsubscribe": false,
"allow_push_notifications": true,
"facebook_signup": false,
"communicable_email": "test@example.com",
"access_token": "ACCESS_TOKEN_GOES_HERE",
"age_verified_status": true,
"subscriptions": [
{
"plan_name": "free burger",
"pos_meta": "VIP subs",
"subscription_id": 123
}
]
}